Bug 18681 - Translatability: Get rid of [%% in translation for about.tt
Summary: Translatability: Get rid of [%% in translation for about.tt
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-26 17:11 UTC by Marc Véron
Modified: 2017-06-12 08:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18681: Translatability: Get rid of [%% in translation for about.tt (2.03 KB, patch)
2017-05-26 17:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18681: Translatability: Get rid of [%% in translation for about.tt (2.19 KB, patch)
2017-05-28 10:51 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18681 - (followup) Remove on more [%% in translation for about.tt (1.79 KB, patch)
2017-05-30 07:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18681: Translatability: Get rid of [%% in translation for about.tt (2.27 KB, patch)
2017-06-05 20:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18681: Translatability: Get rid of [%% in translation for about.tt (2.27 KB, patch)
2017-06-05 20:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18681 - (followup) Remove on more [%% in translation for about.tt (1.87 KB, patch)
2017-06-05 20:14 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-05-26 17:11:08 UTC
Translation tool picks a line 
%s [%% IF warnPrefBiblioAddsAuthorities || warnPrefEasyAnalyticalRecords ||
...due to a line break inside a template directive.
Comment 1 Marc Véron 2017-05-26 17:18:11 UTC
Created attachment 63745 [details] [review]
Bug 18681: Translatability: Get rid of [%% in translation for about.tt

Translation tool picks a line
%s [%% IF warnPrefBiblioAddsAuthorities || warnPrefEasyAnalyticalRecords ||
...due to a line break inside a template directive.
This patch fixes it.

To test:
- Update QA tools
  (see https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18675#c2)
- Verify that code change makes sense
- Apply patch
- Run QA tools
Comment 2 Alex Buckley 2017-05-28 10:51:36 UTC
Created attachment 63774 [details] [review]
Bug 18681: Translatability: Get rid of [%% in translation for about.tt

Translation tool picks a line
%s [%% IF warnPrefBiblioAddsAuthorities || warnPrefEasyAnalyticalRecords ||
...due to a line break inside a template directive.
This patch fixes it.

To test:
- Update QA tools
  (see https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18675#c2)
- Verify that code change makes sense
- Apply patch
- Run QA tools

Followed test plan and everything was as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Marc Véron 2017-05-30 07:40:42 UTC
Created attachment 63837 [details] [review]
Bug 18681 - (followup) Remove on more [%% in translation for about.tt

Test plan same as in previous patch
Run QA tools in newest version (test for line breaks in tt directives)
Comment 4 Marc Véron 2017-05-30 07:41:37 UTC
Set back to NSO for the followup
Comment 5 Jonathan Druart 2017-06-05 20:13:04 UTC
Created attachment 63994 [details] [review]
Bug 18681: Translatability: Get rid of [%% in translation for about.tt

Translation tool picks a line
%s [%% IF warnPrefBiblioAddsAuthorities || warnPrefEasyAnalyticalRecords ||
...due to a line break inside a template directive.
This patch fixes it.

To test:
- Update QA tools
  (see https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18675#c2)
- Verify that code change makes sense
- Apply patch
- Run QA tools

Followed test plan and everything was as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-06-05 20:13:44 UTC
Created attachment 63995 [details] [review]
Bug 18681: Translatability: Get rid of [%% in translation for about.tt

Translation tool picks a line
%s [%% IF warnPrefBiblioAddsAuthorities || warnPrefEasyAnalyticalRecords ||
...due to a line break inside a template directive.
This patch fixes it.

To test:
- Update QA tools
  (see https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=18675#c2)
- Verify that code change makes sense
- Apply patch
- Run QA tools

Followed test plan and everything was as intended
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-06-05 20:14:38 UTC
Created attachment 63996 [details] [review]
Bug 18681 - (followup) Remove on more [%% in translation for about.tt

Test plan same as in previous patch
Run QA tools in newest version (test for line breaks in tt directives)

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2017-06-05 20:18:13 UTC
Trivial, skipping QA.
Comment 9 Jonathan Druart 2017-06-06 19:04:04 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Fridolin SOMERS 2017-06-12 08:54:07 UTC
Pushed to 17.05.x, will be in 17.05.01